.xmodal {  
  display: none; /* 默认隐藏模态窗口 */  
  position: fixed; /* Stay in place */  
  z-index: 1; /* Sit on top */  
  /*padding-top: 100px;  Location of the box */  
  left: 0;  
  top: 0;  
  width: 100%; /* Full width */  
  height: 100%; /* Full height */  
  overflow: auto; /* Enable scroll if needed */  
  background-color: rgb(0,0,0); /* Fallback color */  
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */  
  z-index: 1000;  /* 确保遮罩层在最上面 */
}  
  
.xmodal-content {  
  position: relative;
  background-color: #fefefe;  
  margin: 20px auto;  
  padding: 20px;  
  border-radius: 4px;
     pointer-events: auto;
     background-clip: padding-box;
     border: 1px solid rgba(0, 0, 0, .2);
     width: 95%;
    /* 内容宽度 */
     max-width: 1200px;
    /* 最大宽度限制 */ 
	max-height: calc(100vh - 40px);
	overflow-y: auto;
}  
  
.xmodal-content .close {  
  color: #333;  
  float: right;  
  font-size: 28px;  
  font-weight: bold;  
  opacity: .3;
}  
  
.xmodal-content .close:hover,  
.xmodal-content .close:focus {  
  color: #000;  
  text-decoration: none;  
  cursor: pointer; 
  opacity: .5;
}